---
layout: course

title: Artificial Intelligence II
instructors:
    - mkohlhase

semesters:
    - SS17 
    - SS18 
    - SS19 
    - SS20 
    - SS21 
    - SS22 
    - SS23 
    - SS24 
---

This course is the second part of a two-semester introduction into the field of Artificial
Intelligence (AI). It introducers the foundations of inference under uncertainty, machine
learning and language understanding. The course builds on and continues the course 
[Artificial Intelligence I](/courses/ai1/) from the winter semester. In particular, the course 
covers

* Inference under Uncertainty
* Bayesian Networks
* Rational Decision Theory (MDPs and POMDPs)
* Machine Learning and Neural Networks
* Natural Language Processing

The course follows the book
[Artificial Intelligence: A Modern Approach](https://www.pearson.com/us/higher-education/program/Russell-Artificial-Intelligence-A-Modern-Approach-3rd-Edition/PGM156683.html)
by Stuart Russell und Peter Norvig. We use the third edition. 

The course materials (e.g. [Course Notes](http://kwarc.info/teaching/AI/notes.pdf) or
[Assignments](http://kwarc.info/teaching/AI/assignments.pdf), but also old exams and
(some) solutions) are [here](http://kwarc.info/teaching/AI/). 

The course forum on [StudOn](https://studon.fau.de) is an important source for advice and
discussions. The instrutor and tutors try to be present to help. 

### German Version (possibly out of date)

Diese Vorlesung ist der zweite Teil einer zwei-semestrigen Einführung in die Künstlichen
Intelligenz (KI). Sie beschäftigt sich mit den Grundlagen des Schliessens unter
Unsicherheit, des maschinellen Lernens und des Sprachverstehens.  Der Kurs baut auf der
[Vorlesung Künstliche Intelligenz I](/courses/ai1/) vom Wintersemester auf und führt diese
weiter. Wir behandeln insbesondere

* Schliessen unter Unsicherheit
* Bayessche Netzwerke
* Theorie der Rationalen Entscheidungen
* Maschinelles Lernen
* Sprachverstehen (wenn die Zeit reicht)

Die Vorlesung folgt dem Buch
[Artificial Intelligence: A Modern Approach](https://www.pearson.com/us/higher-education/program/Russell-Artificial-Intelligence-A-Modern-Approach-3rd-Edition/PGM156683.html)
von Stuart Russell und Peter Norvig. Wir verwenden die dritte Ausgabe.

Die Kursmaterialien (z.B. [Course Notes](http://kwarc.info/teaching/AI/notes.pdf) oder
[Aufgaben](http://kwarc.info/teaching/AI/assignments.pdf), aber auch alte Klausuren)
finden sich in [hier](http://kwarc.info/teaching/AI/). 

Diskussionen finden auf dem
[FSI Forum KI-I](https://fsi.cs.fau.de/forum/149-Kuenstliche-Intelligenz-II) statt. Dies ist
eine wichtige Quelle von Rat und Tat. Wir bemühen uns, auf dem Forum präsent zu sein, und
schnell auf Fragen zu antworten. Also das Forum abonnieren! 
